<?php

/*********************************************************************************************

 Video Post Type

*********************************************************************************************/
$labels = array(
    'name'                          => __( 'Video category', 'wpcity' ),
    'all_items'                     => __( 'All Categories' , 'wpcity'),
    'add_new_item'                  => __( 'Add video category', 'wpcity'),
   
    
    );

$args = array(
    'label'                         => __( 'Types' ),
    'labels'                        => $labels,
    'public'                        => true,
    'hierarchical'                  => true,
    'show_ui'                       => true,
    'show_in_nav_menus'             => true,
    'args'                          => array( 'orderby' => 'term_order' ),
    'rewrite'                       => array( 'slug' => 'video/typesvid', 'with_front' => false ),
    'query_var'                     => true
);

register_taxonomy( 'typesvid', 'video', $args );


register_post_type( 'video',
    array(
        'labels'                => array(
	    'name'                  => __( 'Video' , 'wpcity' ),
	    'singular_name'         => __( 'Video record' , 'wpcity'),
	    'add_new'               => __( 'Add record' , 'wpcity'),
	    'add_new_item'          => __( 'Add new video', 'wpcity' ),
	    'edit_item'             => __( 'Edit video record', 'wpcity'),
	    'new_item'              => __( 'Add new video' , 'wpcity'),
	    'view_item'             => __( 'View entry', 'wpcity' ),
	    'search_items'          => __( 'Searching for video', 'wpcity' ),
	    'not_found'             => __('No portfolio items found', 'wpcity'),
	    
            ),
        'public'                => false,
        'publicly_queryable'    => true,
        'show_ui'               => true,
        'query_var'             => true,
    	'permalink_epmask'      => true,
        'menu_position'         => 5,
		'menu_icon' =>          'dashicons-editor-video',
        'show_in_menu'          => true,
        'supports' 				=> array( 'title', 'editor', 'comments', 'page-attributes' ),
        'rewrite'               => array( 'slug' => 'video', 'with_front' => false ),
        'has_archive'           => true
    )
);

add_action("admin_init", "add_video");
add_action('save_post', 'update_rotatormediacontent');
function add_video(){
add_meta_box("rotatormediacontent_details", " Video", "rotatormediacontent_options", "video"); 	
	}
	
function rotatormediacontent_options(){
global $post;
$multifolio_mediacontent = get_post_meta($post->ID, 'multifolio_mediacontent', true);
?>

<input name="multifolio_mediacontent" style = "width: 97%;"   value="<?php echo $multifolio_mediacontent; ?>" class="regular-text" /> <br />
<p><em><?php _e( 'Paste the link from YouTube.', 'wpcity' ); ?></em> </br> <em><?php _e( 'Example: http://youtu.be/lS_ubz6Sa9c', 'wpcity' ); ?></em></p>

<?php
}
	
function update_rotatormediacontent(){
		global $post;
		update_post_meta($post->ID, "multifolio_mediacontent", $_POST["multifolio_mediacontent"]);
	}

//  Add Columns to Portfolio Edit Screen




add_action('admin_head', 'video_admin_head');
function video_admin_head() {
	
	?>
	<style>
	<?php if (($_GET['post_type'] == 'video') || ($post_type == 'video') || (get_post_type($_GET['post']) == 'video')) : ?>
		#icon-edit, #icon-post {
			background:transparent url(<?php echo get_template_directory_uri(); ?>/images/video_large.png) no-repeat;
			
			
		}
	<?php endif; ?>
</style><?php
}



/*********************************************************************************************

 Portfolio Post Type

*********************************************************************************************/
$labels = array(
    'name'                          => __( ' Portfolio category', 'wpcity' ),
     'all_items'                     => __( 'All Categories', 'wpcity' ),
    'add_new_item'                  => __( 'Add Portfolio category', 'wpcity' ),
    );

$args = array(
    'label'                         => __( 'Types' ),
    'labels'                        => $labels,
    'public'                        => true,
    'hierarchical'                  => true,
    'show_ui'                       => true,
    'show_in_nav_menus'             => true,
    'args'                          => array( 'orderby' => 'term_order' ),
    'rewrite'                       => array( 'slug' => 'portfolio/types', 'with_front' => false ),
    'query_var'                     => true
);

register_taxonomy( 'types', 'portfolio', $args );
register_post_type( 'portfolio',
    array(
        'labels'                => array(
	    'name'                  => __( 'Portfolio' , 'wpcity'),
	    'singular_name'         => __( 'Portfolio record', 'wpcity' ),
	    'add_new'               => __( 'Add record' , 'wpcity'),
	    'add_new_item'          => __( 'Add a new entry in the portfolio', 'wpcity' ),
	    'edit_item'             => __( 'Edit the entry portfolio', 'wpcity' ),
	    'new_item'              => __( 'Add a new entry in the portfolio', 'wpcity' ),
	    'view_item'             => __( 'View entry' , 'wpcity'),
	    'search_items'          => __( 'Search portfolio entries' , 'wpcity'),
	    'not_found'             => __( 'No portfolio items found', 'wpcity'),
	   
            ),
        'public'                => false,
        'publicly_queryable'    => true,
        'show_ui'               => true,
        'query_var'             => true,
    	'permalink_epmask'      => true,
        'menu_position'         => 5,
		'menu_icon' =>          'dashicons-format-gallery',
		'show_in_menu'          => true,
        'supports' 				=> array( 'title', 'editor', 'comments', 'page-attributes','thumbnail'),
        'rewrite'               => array( 'slug' => 'portfolio', 'with_front' => false ),
        'has_archive'           => true
		
    )
);




add_action('admin_head', 'portfolio_admin_head');
function portfolio_admin_head() {
	
	?>
	<style>
	<?php if (($_GET['post_type'] == 'portfolio') || ($post_type == 'portfolio') || (get_post_type($_GET['post']) == 'portfolio')) : ?>
		#icon-edit, #icon-post {
			background:transparent url(<?php echo get_template_directory_uri(); ?>/images/icon.png) no-repeat;
			background-position: -4px -7px;
			height: 45px;
			width: 45px;
		}
	<?php endif; ?>
</style><?php
}


/*********************************************************************************************

 Slider Post Type

*********************************************************************************************/
function wpt_slider_posttype() {
$labels = array(
    'name' 					=> __( 'Slider', 'wpcity' ),
    'singular_name' 		=> __( 'Slide' , 'wpcity'),
    'add_new' 				=> __( 'Add slide' , 'wpcity'),
    'add_new_item' 			=> __( 'Add new slide', 'wpcity' ),
    'edit_item' 			=> __( 'Edit slide', 'wpcity'),
    'new_item' 				=> __( 'Add new slide' , 'wpcity'),
    'view_item'				=> __( 'View entry' , 'wpcity'),
    'search_items' 			=> __( 'Search slide', 'wpcity' ),
    'not_found' 			=> __( 'No slide items found', 'wpcity' ),
);

$args = array(
    'labels' 				=> $labels,
    'public' 				=> false,
	'publicly_queryable'    => true,
	'show_ui'               => true,
	'query_var'             => true,
	'permalink_epmask'      => true,
   'supports' 				=> array( 'title', 'editor', 'comments', 'page-attributes','thumbnail' ),
	'rewrite'               => array( 'slug' => 'featured', 'with_front' => false ),
    'menu_position' 		=> 5,
	'menu_icon' =>          'dashicons-images-alt2',
	'show_in_menu'          => true,
    'has_archive' 			=> true
);

register_post_type( 'featured', $args);
}
add_action( 'init', 'wpt_slider_posttype' );
add_action('admin_head', 'featured_admin_head');
function featured_admin_head() {
?>
<style>
<?php if (($_GET['post_type'] == 'featured') || ($post_type == 'featured') || (get_post_type($_GET['post']) == 'featured')) : ?>
#icon-edit, #icon-post {
background:transparent url(<?php echo get_template_directory_uri(); ?>/images/slayder.png) no-repeat;}
<?php endif; ?>
</style><?php
}
?>